Ошибка на Drupal 6 strict warning: Declaration of views_plugin_display_page...

Возникла у меня нежданно-негаданно ошибка на сайте, сделанном на Drupal 6

strict warning: Declaration of views_plugin_display_page::options_submit() should be compatible with views_plugin_display::options_submit(&$form, &$form_state) in /var/www/wmasterland/data/www/wmasterland.ru/sites/all/modules/views/plugins/views_plugin_display_page.inc on line 481.

Из-за чего она взялась долго гадать не пришлось — это из-за перехода с верхии PHP 5.3 на версию PHP 5.4. Как их исправлять я не знаю и такой цели не приследовал, но вот чтобы они перестали выводиться всем, кому не надо, включая поисковые системы, надо было исправить.

Делается это довольно просто, на странице /admin/settings/error-reporting уберите вывод ошибок на экран, пусть записываются только в лог.

Конечно, метод достаточно сомнительный и ошибку он не исправляет, но по крайней мере она не мельтешит перед глазами.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Scroll Up
Adblock detector